Bug 499840 - nfsv4recoverydir proc file unreadable
nfsv4recoverydir proc file unreadable
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.4
All Linux
low Severity low
: rc
: ---
Assigned To: Evan McNabb
Red Hat Kernel QE team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-08 10:25 EDT by Evan McNabb
Modified: 2011-09-22 02:34 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-02 04:56:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
RHEL5 backport of upstream patch (1.52 KB, patch)
2009-05-10 17:23 EDT, Evan McNabb
no flags Details | Diff

  None (edit)
Description Evan McNabb 2009-05-08 10:25:12 EDT
Description of problem:

The file /proc/fs/nfsd/nfsv4recoverydir is not readable on RHEL5. I found this problem while running the kernel/fs/proc/proc01 LTP test on 2.6.18-141, although it applies to previous kernels too.

# uname -a
Linux myhost 2.6.18-141.el5 #1 SMP Fri Apr 24 17:46:35 EDT 2009 x86_64 x86_64 x86_64 GNU/Linux
# service nfs start
. . .
# cat /proc/fs/nfsd/nfsv4recoverydir 
cat: /proc/fs/nfsd/nfsv4recoverydir: Invalid argument

On Fedora 11 beta it works correctly:

# service nfs start
. . .
# cat /proc/fs/nfsd/nfsv4recoverydir
/var/lib/nfs/v4recovery

I believe this is the upstream fix:
http://linux-nfs.org/pipermail/nfsv4/2008-June/008709.html
Comment 3 Evan McNabb 2009-05-10 17:23:55 EDT
Created attachment 343301 [details]
RHEL5 backport of upstream patch

Jeff, here's a backport of the patch that seems to fix the issue. I only pulled the chunks that are needed to read nfsv4recoverydir. Please let me know if I missed anything.
Comment 4 Jeff Layton 2009-05-14 11:23:01 EDT
Patch looks reasonable to me -- if you've tested it and feel comfortable with it, go ahead and post it to RHKL.

You might as well own the BZ too, fwiw...
Comment 6 RHEL Product and Program Management 2009-05-15 13:39:07 EDT
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 7 Don Zickus 2009-05-19 15:46:49 EDT
in kernel-2.6.18-149.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Please do NOT transition this bugzilla state to VERIFIED until our QE team
has sent specific instructions indicating when to do so.  However feel free
to provide a comment indicating that this fix has been verified.
Comment 11 errata-xmlrpc 2009-09-02 04:56:56 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-1243.html

Note You need to log in before you can comment on or make changes to this bug.